## wafw00f 1.0.0

=== Makefile ===
SRC_DIR = wafw00f
DOC_DIR = docs
MAKE = make

all:
	make install
	make test
	make html
	make clean

install:
	pip install -q -e .[dev,test,docs]

lint:
	prospector $(SRC_DIR) --strictness veryhigh

test:
	nosetests -c nose.cfg

testall:
	tox

html:
	cd $(DOC_DIR) && $(MAKE) html

htmlci:
	curl -X POST http://readthedocs.org/build/wafw00f

clean:
	rm -rf *.egg-info build dist .coverage
	find $(SRC_DIR) -name "*.pyc" | xargs rm -rf

## wafw00f 0.9.4

=== debian/changelog ===
wafw00f (0.9.4-1) unstable; urgency=medium

  * Initial release (closes: #834145), this package was based on work already
    made by the Kali Linux people, thanks

 -- Samuel Henrique <samueloph@gmail.com>  Tue, 21 Nov 2017 22:46:49 -0200

=== debian/control ===
Source: wafw00f
Section: misc
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Samuel Henrique <samueloph@gmail.com>,
           Daniel Echeverry <epsilon77@gmail.com>
Build-Depends: debhelper (>=10),
               dh-python,
               python3-all,
               python3-pluginbase,
               python3-setuptools
Standards-Version: 4.1.1
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/sandrogauci/wafw00f
Vcs-Git: https://anonscm.debian.org/git/pkg-security/wafw00f.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/wafw00f.git

Package: wafw00f
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: identify and fingerprint Web Application Firewall products
 This package identifies and fingerprints Web Application Firewall (WAF)
 products using the following logic:
 .
  - Sends a _normal_ HTTP request and analyses the response; this identifies a
    number of WAF solutions.
  - If that is not successful, it sends a number of (potentially malicious)
    HTTP requests and uses simple logic to deduce which WAF it is.
  - If that is also not successful, it analyses the responses previously
    returned and uses another simple algorithm to guess if a WAF or security
    solution is actively responding to the attacks.

## wafw00f 0.9.5

=== debian/changelog ===
wafw00f (0.9.5-1) unstable; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * New upstream version 0.9.5
  * Bump to Standards-version 4.1.4 (no changes)

  [ Samuel Henrique ]
  * d/control: better description (thanks to Terceiro)
  * d/wafw00f.8: fix typo
  * d/control: fix Description indentation

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

 -- Sophie Brun <sophie@freexian.com>  Thu, 28 Jun 2018 11:49:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: wafw00f
 Section: misc
 Priority: optional
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@gmail.com>,
            Daniel Echeverry <epsilon77@gmail.com>
 Build-Depends: debhelper (>=10),
@@ -9,11 +9,11 @@
                python3-all,
                python3-pluginbase,
                python3-setuptools
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/sandrogauci/wafw00f
-Vcs-Git: https://anonscm.debian.org/git/pkg-security/wafw00f.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/wafw00f.git
+Vcs-Git: https://salsa.debian.org/pkg-security-team/wafw00f.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/wafw00f
 
 Package: wafw00f
 Architecture: all

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/wafw00f/wafw00f-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## wafw00f 1.0.0

=== debian/changelog ===
wafw00f (1.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Sophie Brun ]
  * Watch github release in debian/watch
  * New upstream version 1.0.0
  * Update debian/copyright
  * Build and install upstream docs
  * Install upstream manpage

  [ Raphaël Hertzog ]
  * Bump Standards-Version to 4.3.0
  * Switch to debhelper compat level 12

 -- Raphaël Hertzog <raphael@offensive-security.com>  Tue, 21 May 2019 15:05:45 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@gmail.com>,
            Daniel Echeverry <epsilon77@gmail.com>
-Build-Depends: debhelper (>=10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-pluginbase,
-               python3-setuptools
-Standards-Version: 4.1.4
+               python3-setuptools,
+	       python3-sphinx
+Standards-Version: 4.3.0
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/sandrogauci/wafw00f
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wafw00f.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	# Disable auto tests at build time
	:

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs build/html # HTML generator

## wafw00f 2.1.0

=== debian/changelog ===
wafw00f (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0

 -- Samuel Henrique <samueloph@debian.org>  Thu, 06 Feb 2020 21:51:18 +0100

wafw00f (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0

 -- Samuel Henrique <samueloph@debian.org>  Sun, 15 Dec 2019 23:37:57 +0000

wafw00f (1.0.0-2) unstable; urgency=medium

  * Update Standards-Version to 4.4.1
  * Change my email address to the debian one
  * Add salsa-ci.yml
  * d/control:
    - Add Rules-Requires-Root: no
    - Don't build sphinx docs, they're empty anyway
  * d/copyright: Update debian/* entry

 -- Samuel Henrique <samueloph@debian.org>  Sun, 24 Nov 2019 21:02:53 +0000

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: misc
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Samuel Henrique <samueloph@gmail.com>,
+Uploaders: Samuel Henrique <samueloph@debian.org>,
            Daniel Echeverry <epsilon77@gmail.com>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-pluginbase,
-               python3-setuptools,
-	       python3-sphinx
-Standards-Version: 4.3.0
+               python3-setuptools
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/sandrogauci/wafw00f
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wafw00f.git
@@ -19,7 +19,7 @@
 Package: wafw00f
 Architecture: all
 Depends: ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
 Description: identify and fingerprint Web Application Firewall products
  This package identifies and fingerprints Web Application Firewall (WAF)
  products using the following logic:

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# Disable auto tests at build time
	:

override_dh_auto_build:
	dh_auto_build

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
    https://github.com/EnableSecurity/wafw00f/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## wafw00f 2.2.0

=== debian/changelog ===
wafw00f (2.2.0-2) unstable; urgency=medium

  * Patch for Python 3.12 syntax warnings
  * Bump std version to 4.7.0
  * Update some upstream URLs

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 02 Dec 2024 11:19:12 +0700

wafw00f (2.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Daniel Lenharo de Souza ]
  * New upstream version 2.2.0
  * Bumped std version to 4.6.1
  * Updated copyright
  * d/control: bump DH to 13

 -- Daniel Lenharo de Souza <lenharo@debian.org>  Fri, 22 Jul 2022 06:26:52 -0300

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>,
            Daniel Echeverry <epsilon77@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-pluginbase,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
-Homepage: https://github.com/sandrogauci/wafw00f
+Homepage: https://github.com/EnableSecurity/wafw00f
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wafw00f.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/wafw00f

## wafw00f 2.3.1

=== Makefile ===
SRC_DIR = wafw00f
DOC_DIR = docs
MAKE = make

all:
	make install
	make test
	make html
	make clean

install:
	pip install -q -e .[dev,docs]

lint:
	prospector $(SRC_DIR) --strictness veryhigh

testall:
	tox

html:
	cd $(DOC_DIR) && $(MAKE) html

clean:
	rm -rf *.egg-info build dist .coverage
	find $(SRC_DIR) -name "*.pyc" | xargs rm -rf

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/wafw00f.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/wafw00f.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/wafw00f"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/wafw00f"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
wafw00f (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1 (Closes: #1087174)
  * debian/patches
    + Remove Fix-Python-3.12-syntax-warnings.patch
      + merge with upstream
  * debian/copyright
    + Extend debian copyright holders year
    + Update my lastname and email
  * debian/control
    + Update my lastname and email

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 11 Jan 2025 16:58:57 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>,
-           Daniel Echeverry <epsilon77@gmail.com>
+           Daniel Echeverri <epsilon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# Disable auto tests at build time
	:

## wafw00f 2.3.2

=== debian/changelog ===
wafw00f (2.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.2
  * debian/control
    + Bump standard-versions to 4.7.2
    + Remove Rules-Requires-Root field
  * debian/watch
    + Update format to version 5

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 07 Dec 2025 09:42:59 -0500

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
                python3-all,
                python3-pluginbase,
                python3-setuptools
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/EnableSecurity/wafw00f
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wafw00f.git

=== debian/watch ===
Version: 5

Template: Github
Owner: EnableSecurity
Project: wafw00f
Update-Script: uupdate
Uversionmangle: s/(rc|a|b|c)/~$1/
